/* :root {
    --bg: #0a0f1a;
    --panel: #101a2a;
    --neon: #4fd1ff;
    --text: #bfefff;
    --accent: #00aaff;
}

*/

/*
:root {
    --bg: #0d0d0d;
    --panel: #111818;
    --neon: #00ff9f;
    --text: #b7ffda;
    --accent: #2affc6;
}
*/
:root {
    /* Base */
    --bg: #0d0d0d;
    --panel: #1a1411; /* carvão + marrom */

    /* Texto */
    --text: #e8d8b0; /* bege envelhecido */

    /* Destaque principal (antes era verde neon) */
    --neon: #c9a24a; /* agora dourado */

    /* Accent (interação / hover) */
    --accent: #f5e6c8; /* creme mais claro */
}
h1,
h2 {
    color: var(--neon);
    text-shadow: 0 0 5px var(--neon);
}
body::after {
    content: "";
    position: fixed;
    inset: 0;
    background: repeating-linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.08) 0px,
        rgba(0, 0, 0, 0.08) 1px,
        transparent 1px,
        transparent 3px
    );
    pointer-events: none;
}
/*
body::after {
    content: "";
    position: fixed;
    inset: 0;
    background: repeating-linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0.2) 0px,
        rgba(0, 0, 0, 0.2) 2px,
        transparent 2px,
        transparent 4px
    );
    pointer-events: none;
}
*/
body {
    background-color: var(--bg);
    color: var(--text);
    font-family: "Share Tech Mono", monospace;
}

header {
    text-align: left;
    max-width: 900px;
    margin: 0 auto 30px;

    border-bottom: 1px solid var(--neon);
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

header img {
    max-width: 120px;
    width: 5%;
    height: auto;
    filter: drop-shadow(0 0 10px var(--neon));
}

header h1 {
    font-size: 2.5rem;
    color: var(--neon);
    text-shadow: 0 0 8px var(--neon);
    font-style: italic;
}

.tagline {
    transform: rotate(-10deg);
    display: inline-block;
    font-family: "Dancing Script", sans-serif;

    font-size: 2rem;

    letter-spacing: 2px;
}

main {
    font-size: 15pt;
    max-width: 900px;
    margin: 0 auto;
}

li::marker {
    content: ">";
    color: var(--neon);
}

small {
    font-size: 8.5pt;
}

/*
.quote {
    border-left: 3px solid var(--neon);
    padding: 15px 20px;
    margin: 20px 0;

    background: var(--panel);
    color: var(--text);

    font-style: italic;
    position: relative;

    box-shadow: 0 0 10px rgba(0, 255, 159, 0.2);
    }*/

.quote {
    display: flex;
    align-items: center;
    gap: 15px;

    border-left: 3px solid var(--neon);
    padding: 15px 20px;
    background: var(--panel);
    color: var(--text);
}

.quote::before {
    position: absolute;
    left: -15px;
    top: 10px;
    color: var(--neon);
}

.quote .author {
    display: block;
    margin-top: 10px;
    font-size: 0.9rem;
    color: var(--accent);
}

.quote-img {
    width: 60px;
    height: auto;
    flex-shrink: 0;
}

.quote-content p {
    margin: 0;
    font-style: italic;
}

.quote-content .author {
    display: block;
    margin-top: 5px;
    font-size: 0.85rem;
    color: var(--accent);
}

.special {
    color: var(--neon);
    text-shadow: 0 0 8px var(--neon);
    font-style: italic;
}

em {
    color: var(--neon);
    text-shadow: 0 0 8px var(--neon);
    font-style: italic;
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

@media (max-width: 700px) {
    .grid {
        grid-template-columns: 1fr;
    }
}

.panel {
    border: 1px solid rgba(201, 162, 74, 0.2); /*var(--neon);  rgba(0, 255, 159, 0.2);*/
    padding: 20px;
}

.grid-section {
    margin-top: 40px;
}

.panel h2::before {
    content: "";
}

a {
    color: var(--accent);
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-decoration-color: var(--neon);
    text-underline-offset: 3px;
}

a:visited {
    color: var(--neon);
}

a:hover {
    text-shadow: 0 0 5px var(--neon);
}

a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 0%;
    height: 1px;
    background: var(--neon);
    transition: width 0.2s ease;
}

a:active {
    color: #ffffff;
}

.badge {
    width: 176px;
    height: auto;
    image-rendering: pixelated;
}

#badges {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    row-gap: 15px;
}

.post-date {
    display: block;
    margin-bottom: 20px;
    color: var(--accent);
    font-size: 0.8rem;
}

.post-title {
    margin-top: 0px;
    margin-bottom: 5px;
    font-size: 30pt;
}

article {
    max-width: 900px;
    margin: 0 auto;
}

#post-header {
    text-transform: uppercase;
}

#post-body {
    font-family: "IBM Plex Mono", "Merriweather";
    font-size: 12pt;
}

#post-body h2 {
    font-family: "Share Tech Mono";
    text-transform: uppercase;
}

code {
    background: var(--panel);
    color: var(--neon);
    border-radius: 4px;
    font-family: monospace;
    font-size: 0.8em;
    padding: 2px 4px;
}

pre code {
    font-size: 1em;
    padding: 0;
}
